org.apache.olingo.commons.api.edm.constants

## Enum EdmOnDelete

- java.lang.Object
- - java.lang.Enum<EdmOnDelete>
  - - org.apache.olingo.commons.api.edm.constants.EdmOnDelete

- All Implemented Interfaces:
    Serializable, Comparable<EdmOnDelete>

      public enum EdmOnDelete
      extends Enum<EdmOnDelete>

  A navigation property MAY define one edm:OnDelete element. It describes the action the service will take on related entities when the entity on which the navigation property is defined is deleted.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Cascade` Cascade, meaning the related entities will be deleted if the source entity is deleted
    `None` None, meaning a DELETE request on a source entity with related entities will fail,
    `SetDefault` SetDefault, meaning all properties of related entities that are tied to properties of the source entity via a referential constraint and that do not participate in other referential constraints will be set to their default value.
    `SetNull` SetNull, meaning all properties of related entities that are tied to properties of the source entity via a referential constraint and that do not participate in other referential constraints will be set to null,

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmOnDelete` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmOnDelete[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Cascade

          public static final EdmOnDelete Cascade

      Cascade, meaning the related entities will be deleted if the source entity is deleted

    - #### None

          public static final EdmOnDelete None

      None, meaning a DELETE request on a source entity with related entities will fail,

    - #### SetNull

          public static final EdmOnDelete SetNull

      SetNull, meaning all properties of related entities that are tied to properties of the source entity via a referential constraint and that do not participate in other referential constraints will be set to null,

    - #### SetDefault

          public static final EdmOnDelete SetDefault

      SetDefault, meaning all properties of related entities that are tied to properties of the source entity via a referential constraint and that do not participate in other referential constraints will be set to their default value.

  - ### Method Detail

    - #### values

          public static EdmOnDelete[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmOnDelete c : EdmOnDelete.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmOnDelete valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.